/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for BreastImagingReportInterventionSection
 */
public enum EnumCV_BreastImagingReportInterventionSection 
{
	//TID 4204 Breast Imaging Report Intervention Section
	SUPPLEMENTARY_DATA_FOR_INTERVENTION_111463("111463"),
	INSTRUMENT_A_00110("A-00110"),
	NEEDLE_GAUGE_111465("111465"),
	NEEDLE_LENGTH_111467("111467"),
	NUMBER_OF_PASSES_111436("111436"),
	NUMBER_OF_SPECIMENS_111437("111437"),
	INSTRUMENT_APPROACH_111431("111431"),
	NEEDLE_IN_TARGET_111438("111438"),
	NUMBER_OF_NEEDLES_AROUND_TARGET_111439("111439"),
	MEDICATION_GIVEN_F_04460("F-04460"),
	INCISION_MADE_111440("111440"),
	MICROCLIP_PLACED_111441("111441"),
	CONFIRMATION_OF_TARGET_111442("111442"),
	COMPLICATION_OF_PROCEDURE_DD_60002("DD-60002"),
	SEVERITY_OF_COMPLICATION_111466("111466"),
	SPECIMEN_121027("121027"),
	COLOR_OF_FLUID_F_00E6D("F-00E6D"),
	ACTION_ON_FLUID_111456("111456"),
	OCCULT_BLOOD_TEST_RESULT_111455("111455"),
	MARKER_PLACEMENT_111123("111123");

	private String value;

	EnumCV_BreastImagingReportInterventionSection(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
